Description

Associated revisions

Revision 80a2f885 - 07/31/2014 10:36 AM - Eric Helms

Fixes #6620: Allow plugins to define a file to be included in test_helper.

For some plugins additions to the test_helper are needed to allow

the test suite to pass. This checks if a file test/support/foreman_support

exists and requires it after all the Foreman test setup is done.

History

#1 - 07/15/2014 01:26 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.8.0

- Pull request https://github.com/theforeman/foreman/pull/1587 added

- Pull request deleted ()

#2 - 07/30/2014 06:50 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#3 - 07/30/2014 01:37 PM - Eric Helms

In some cases, a plugin may modifies or changes core Foreman behaviors such that for the Foreman tests to run in the context of the plugin some

setup code may need to be run before the test suites. In Katello currently, if the Foreman unit tests are run there are a number of errors thrown about

"running a dynflow action in a transaction" which can be squelched by including the following in the test helper via this functionality:

Organization.class_eval do

def ensure_not_in_transaction!

end

def execute_planned_action

  end

end

 User.class_eval do

def ensure_not_in_transaction!

end

def execute_planned_action

  end

end

#4 - 07/31/2014 08:50 AM - Dominic Cleal

- translation missing: en.field_release set to 10
#5 - 07/31/2014 11:01 AM - Eric Helms

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 80a2f88585763be951b0fb2632a44bc8c70dec6d.
